<div class="products-cves-container">
    <nz-table #cvesTable
              [nzData]="this.productCVEs"
              nzSize="small"
              nzTableLayout="auto"
              [nzBordered]="true"
              [nzLoading]="this.loading"
              [nzFrontPagination]="true"
              [nzShowSizeChanger]="true">
      <thead>
        <tr>
          <th [nzSortFn]="sortCVEId">CVE-ID</th>
          <th>Description</th>
          <th [nzSortFn]="sortDate" class="date-column">Last modified date</th>
          <th [nzSortFn]="sortSeverity">Severity</th>
          <th *ngIf="this.tableView === 'unassigned'">Assign CVE</th>
          <th *ngIf="this.tableView === 'assigned'">Unassign CVE</th>
        </tr>
      </thead>
      <tbody>
        <tr *ngFor="let data of cvesTable.data">
          <td class="cve-id">{{ data.cveId }}</td>
          <td class="description">{{ data.description }}</td>
          <td class="lastModifiedDate">{{ data.lastModifiedDate | date: 'MMM d, y, HH:mm:ss' }}</td>
          <td [ngClass]="data.severity">{{ data.severity }}</td>
          <td class="cve-assignment-column" *ngIf="this.tableView === 'unassigned'">
            <button
                nz-button
                nzSize="small"
                nz-popconfirm
                nzPopconfirmTitle="Are you sure you want to assign this CVE?"
                (nzOnConfirm)="onAssignClicked(data)">Assign
            </button>
          </td>
          <td class="cve-assignment-column" *ngIf="this.tableView === 'assigned'">
            <button
                nz-button
                nzSize="small"
                nz-popconfirm
                nzPopconfirmTitle="Are you sure you want to unassign this CVE?"
                (nzOnConfirm)="onUnassignClicked(data)">Unassign
            </button>
          </td>
        </tr>
      </tbody>
    </nz-table>
  </div>
